POST Patient
Important notes:
- externalPatientId is the field needed to tie the Patient in FeatherPay DB to the PMS Patient. This ID represents the PMS Identifier field for that given patient.
Create / Update patient
From your backend code, create / update the patient with your store id and private key.
POST
https://gfp-api.acdev.io/api/v1/patients/external
Body Parameters
- externalPatientIdstringrequiredDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- emailstringDescription
- smsPhoneNumberstringDescription
- addressLine1stringDescription
- addressLine2stringDescription
- addressCitystringDescription
- addressStatestringDescription
- addressZipstringDescription
- dateOfBirthstringDescription
json
curl -X POST \
--url 'https://gfp-api.acdev.io/api/v1/patients/external' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}' \
--data-raw '
{
"externalPatientId": "307",
"firstName": "John",
"lastName": "Snow",
"email": "[email protected]",
"smsPhoneNumber": "+15556873509",
"addressLine1": "1 Castle",
"addressCity": "Winterfell",
"addressState": "GA",
"addressZip": "30030",
"dateOfBirth": "1990-03-20"
}'200
{
"externalPatientId": "307",
"featherPayPatientId": "01GR420KD08D388CDF62T8BKBE"
}